Bug 1249294 - [abrt] java-1.8.0-openjdk-headless: crash_handler(): java killed by SIGABRT
[abrt] java-1.8.0-openjdk-headless: crash_handler(): java killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:64e091e3e9d6ca8fd3de38f7b98...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 07:04 EDT by altar
Modified: 2016-07-19 13:18 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (196.60 KB, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: core_backtrace (80.20 KB, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: dso_list (27.66 KB, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: environ (3.17 KB, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: hs_err_pid3031.log (115.88 KB, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: maps (78.76 KB, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: mountinfo (3.33 KB, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: open_fds (15.71 KB, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details
File: var_log_messages (598 bytes, text/plain)
2015-08-01 07:04 EDT, altar
no flags Details

  None (edit)
Description altar 2015-08-01 07:04:29 EDT
Description of problem:
Eclipse crashes after showing a splash screen when run on GNOME/Wayland.
Runs OK on Xorg.

Eclipse package from eclipse.org (not from fedora repo) launches OK as well.  

Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.51-4.b16.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 3
cmdline:        /usr/bin/java -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.4.2.v20150513-1759/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20150513-1800/eclipse_1608.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar --launcher.appendVmargs -exitdata 38001 -protect master -vm /usr/bin/java -vmargs -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar
crash_function: crash_handler
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/jre/bin/java
global_pid:     3031
kernel:         4.1.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 crash_handler at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/os/linux/vm/vmError_linux.cpp:106
 #6 os::print_hex_dump at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/runtime/os.cpp:796
 #7 os::print_context at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp:823
 #8 VMError::report at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:534
 #11 signalHandler at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:4272
 #13 ??
 #14 XInternAtom at IntAtom.c:174
 #15 ??
 #16 ??
 #17 ??

Potential duplicate: bug 1203651
Comment 1 altar 2015-08-01 07:04:34 EDT
Created attachment 1058261 [details]
File: backtrace
Comment 2 altar 2015-08-01 07:04:35 EDT
Created attachment 1058262 [details]
File: cgroup
Comment 3 altar 2015-08-01 07:04:37 EDT
Created attachment 1058263 [details]
File: core_backtrace
Comment 4 altar 2015-08-01 07:04:39 EDT
Created attachment 1058264 [details]
File: dso_list
Comment 5 altar 2015-08-01 07:04:40 EDT
Created attachment 1058265 [details]
File: environ
Comment 6 altar 2015-08-01 07:04:43 EDT
Created attachment 1058266 [details]
File: hs_err_pid3031.log
Comment 7 altar 2015-08-01 07:04:44 EDT
Created attachment 1058267 [details]
File: limits
Comment 8 altar 2015-08-01 07:04:46 EDT
Created attachment 1058268 [details]
File: maps
Comment 9 altar 2015-08-01 07:04:47 EDT
Created attachment 1058269 [details]
File: mountinfo
Comment 10 altar 2015-08-01 07:04:49 EDT
Created attachment 1058270 [details]
File: namespaces
Comment 11 altar 2015-08-01 07:04:50 EDT
Created attachment 1058271 [details]
File: open_fds
Comment 12 altar 2015-08-01 07:04:52 EDT
Created attachment 1058272 [details]
File: proc_pid_status
Comment 13 altar 2015-08-01 07:04:53 EDT
Created attachment 1058273 [details]
File: var_log_messages
Comment 14 Deepak Bhole 2015-08-04 09:35:23 EDT
hs_err shows SWT origin in the trace. Re-assigning.
Comment 15 Fedora End Of Life 2016-07-19 13:18:20 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.